﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.SearchModels;
using FlowerShopContracts.ViewModels;

namespace FlowerShopContracts.StoragesContracts
{
    public interface IMessageInfoStorage
    {
        List<MessageInfoViewModel> GetFullList();
        List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);
        MessageInfoViewModel? GetElement(MessageInfoSearchModel model);
        MessageInfoViewModel? Insert(MessageInfoBindingModel model);
    }
}
